//
//  ViewController.m
//  滚动字幕跑马灯
//
//  Created by 郭梦 on 16/8/29.
//  Copyright © 2016年 郭梦. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
@property (nonatomic,strong) UILabel *BBlabel;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    UIView *redView = [[UIView alloc]initWithFrame:CGRectMake(100, 200, 300, 40)];
    redView.backgroundColor = [UIColor yellowColor];
    redView.clipsToBounds = YES;
    [self.view addSubview:redView];
    
    self.BBlabel = [[UILabel alloc]initWithFrame:CGRectMake(300, 0, 300, 40)];
    self.BBlabel.backgroundColor = [UIColor redColor];
    self.BBlabel.text = @"秋天来临了天空像一块覆盖大地的蓝宝石。村外那个小池塘睁着碧澄澄的眼睛，凝望着这美好的天色。一对小白鹅侧着脑袋欣赏自己映在水里的影子";
    self.BBlabel.font = [UIFont systemFontOfSize:15.0];
    [redView addSubview:self.BBlabel];
   
    
    /**
     UIViewAnimationOptionAutoreverse //动画重复自动反向，需要和上面这个一起用
     *
     */
    [self.BBlabel.layer removeAllAnimations];
    CGSize textSize = [self.BBlabel.text sizeWithAttributes:@{NSFontAttributeName : [UIFont systemFontOfSize:15.0]}];
    NSLog(@"%f",textSize.width);
    
    CGRect bblabelRect = self.BBlabel.frame;
    bblabelRect.size.width = textSize.width;
    self.BBlabel.frame = bblabelRect;
    
    //运行的时间
    CGFloat time = textSize.width * 0.03;
    
    const float oriwidth = 290;
    if (textSize.width > oriwidth) {
        float offset = textSize.width + 300;
        [UIView animateWithDuration:time
                              delay:0
                            options:UIViewAnimationOptionRepeat //动画重复的主开关
         |UIViewAnimationOptionCurveLinear //动画的时间曲线，滚动字幕线性比较合理
                         animations:^{
                             self.BBlabel.transform = CGAffineTransformMakeTranslation(-offset, 0);
                         }
                         completion:^(BOOL finished) {

                         }];
        
       }

       
    
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
